#include "TFile.h"
#include "TH1.h"
#include "TSystem.h"


void 
makeChannel0()
{

  TFile* example = new TFile("data/example.root","RECREATE");

  TH1F* data = new TH1F("data","data", 1,0,1);

  TH1F* signal = new TH1F("signal","signal histogram (pb)", 1,0,1);

  TH1F* background_A = new TH1F("background_A","background histogram (pb)", 1,0,1);
  TH1F* background_B = new TH1F("background_B","background histogram (pb)", 1,0,1);
  TH1F* background_C = new TH1F("background_C","background histogram (pb)", 1,0,1);
  TH1F* background_D = new TH1F("background_D","background histogram (pb)", 1,0,1);
  TH1F* background_E = new TH1F("background_E","background histogram (pb)", 1,0,1);
  TH1F* background_F = new TH1F("background_F","background histogram (pb)", 1,0,1);
  TH1F* background_G = new TH1F("background_G","background histogram (pb)", 1,0,1);
  TH1F* background_H = new TH1F("background_H","background histogram (pb)", 1,0,1);
  TH1F* background_I = new TH1F("background_I","background histogram (pb)", 1,0,1);



  data->Fill(0.5,69.0000);
  background_A->Fill(0.5,16.8921);
  background_B->Fill(0.5,40.4409);
  background_C->Fill(0.5,6.5852);
  background_D->Fill(0.5,1.9575);
  background_E->Fill(0.5,3.8127);
  background_F->Fill(0.5,4.8727);
  background_G->Fill(0.5,0.1594);
  background_H->Fill(0.5,0.0422);
  background_I->Fill(0.5,1.0451);
  signal->Fill(0.5,166.91);


  example->Write();
  example->Close();
}




